/*
    VM_DEMO3.PRG

    This program demonstrates how to configure ADvermenu() so that it
    'greys' the screen before displaying the menu. It restores it at
    exit.
*/


//---------
func main()
local nTop := 0, nLeft := 10
local aMenu := {;
                    "On the Cover",;
                    "News",;
                    "Test Drives",;
                    "Features",;
                    "The Experts",;
                    "Application Development",;
                    "The Basics",;
                    "Departments";
               }
local aTrigger := { 8,1,1,1,5,1,5,1 }
local aScn
local bDispBegin := {|e| aScn := ADchgcolor( 0,0,24,79, "W/N" )}
local bDispEnd := {|e| nil}
local bUndisplay := {|e| ADrestscn( aScn )}
local bProcess := {|e,n| ADmessage( {"You selected: " + aMenu[n]} )}
local bConfig := {|e| ADvm_extra( e, bDispBegin, bDispEnd, bUndisplay )}

ADmessage( { "ADvermenu() will 'grey' the screen before displaying",;
             "the menu.  It will restore the original screen at exit.",;
             "Press any key" },,, .f. )
ADwait(0)
ADvermenu( nTop, nLeft, aMenu, aTrigger, bProcess, bConfig )
return nil



