/*
    VM_DEMO4.PRG

    This program demonstrates how to configure ADvermenu() so that,
    instead of displaying the current option in enhanced color, it
    places a pointing arrow in front of it.
*/


//---------
func main()
local nTop := 0, nLeft := 0
local aMenu := {;
                    "On the Cover",;
                    "News",;
                    "Test Drives",;
                    "Features",;
                    "The Experts",;
                    "Application Development",;
                    "The Basics",;
                    "Departments";
               }
local aTrigger := { 8,1,1,1,5,1,5,1 }
local nRow, aScn, cStdColor
local bMoveBegin := {|e| ADrestscn( aScn )}
local bMoveEnd := {|e| nRow := ADvm_row(e),;
                       setpos( nRow, nLeft + 1 ),;
                       aScn := ADsavescn( nRow, nLeft+1, nRow, nLeft+1 ),;
                       dispout( "", cStdColor );
                  }
local bProcess := {|e,n| ADmessage( {"You selected: " + aMenu[n]} )}
local bConfig := {|e| cStdColor := ADvm_color(e)[1],;
                      ADvm_color( e, { , cStdColor } ),;
                      ADvm_move( e, bMoveBegin, bMoveEnd )}

ADvermenu( nTop, nLeft, aMenu, aTrigger, bProcess, bConfig )
return nil



