/*
    VM_DEMO7.PRG

    This program demonstrates how to configure ADvermenu() to display
    behave as a restricted taglist.  In a restricted taglist, you define a
    number of tagging characters, which are concatenated into a string.
    You can select only as may options as there are tagging characters.
    In this example the tagging characters are "123".
*/


//---------
func main()
local nTop := 0, nLeft := 0
local aMenu := {;
                    "On the Cover",;
                    "News",;
                    "Test Drives",;
                    "Features",;
                    "The Experts",;
                    "Application Development",;
                    "The Basics",;
                    "Departments";
               }
local aTrigger := { 8,1,1,1,5,1,5,1 }
local bProcess := {|e,a| aeval( a, {|x| ADmessage( { aMenu[x] } )} )}
local bConfig := {|e| ADvm_taglist( e, "123" ) }

Xinfo()
ADvermenu( nTop, nLeft, aMenu, aTrigger, bProcess, bConfig )
return nil

//----------
func Xinfo()
ADmessage( {;
                "This ADvermenu is a restricted taglist.  You can only",;
                "select a maximum of three options.  Tag them with '1',",;
                "'2', or '3', or click them with the left button.  The",;
                "return value is a sorted array of selections";
           }, 14,, .f. )
return nil




