/*
    VM_DEM10.PRG

    This program demonstrates how easy it is to implement cascading menus
    with ADvermenu().
*/


//---------
func main()
local nTop := 0, nLeft := 10
local aMenu := {;
                    "News",;
                    "Test Drives",;
                    "Features";
               }
local aTrigger := { 1,1,1 }
local aBlock := {;
                    {|e,n| Xnews(e,n)},;
                    {|e,n| Xtest(e,n)},;
                    {|e,n| Xfeatures(e,n)};
                }

cls
Xinfo()
ADvermenu( nTop, nLeft, aMenu, aTrigger, aBlock )
return nil


//----------------
func Xnews(e,n)
local nTop := ADvm_row(e) + 1, nLeft := ADvm_left(e) + 5
local aMenu := {;
                    "Dataline",;
                    "Editor on the Go",;
                    "Database Confidential";
               }
local aTrigger := { 1,1,10 }
ADvermenu( nTop, nLeft, aMenu, aTrigger )
return nil


//----------------
func Xtest(e,n)
local nTop := ADvm_row(e) + 1, nLeft := ADvm_left(e) + 5
local aMenu := {;
                    "New!",;
                    "Update",;
                    "Field Report";
               }
local aTrigger := { 1,1,1 }
ADvermenu( nTop, nLeft, aMenu, aTrigger )
return nil


//----------------
func Xfeatures(e,n)
local nTop := ADvm_row(e) + 1, nLeft := ADvm_left(e) + 5
local aMenu := {;
                    "Object-Oriented Programming",;
                    "First Look";
               }
local aTrigger := { 1,1 }
local aBlock := {;
                    {|e,n| Xoop(e,n)},;
                    {|e,n| nil};
                }
ADvermenu( nTop, nLeft, aMenu, aTrigger, aBlock )
return nil



//----------------
func Xoop(e,n)
local nTop := ADvm_row(e) + 1, nLeft := ADvm_left(e) + 5
local aMenu := {;
                    "The Oop Primer for Xbase Programmers",;
                    "Oop: What's the Next Step?";
               }
local aTrigger := { 9,17 }
ADvermenu( nTop, nLeft, aMenu, aTrigger )
return nil

//----------
func Xinfo()
ADmessage( {;
                "Implementation of cascading menus is a breeze.";
           }, 14,0, .f. )
return nil


