/*
    VM_DEMO5.PRG

    This program demonstrates how to configure ADvermenu() to display
    option-sensitive messages.
*/


//---------
func main()
local nTop := 0, nLeft := 0
local aMenu := {;
                    "On the Cover",;
                    "News",;
                    "Test Drives",;
                    "Features",;
                    "The Experts",;
                    "Application Development",;
                    "The Basics",;
                    "Departments";
               }
local aTrigger := { 8,1,1,1,5,1,5,1 }
local aMsg := {;
                    { "Cover story" },;
                    { "Late breaking news" },;
                    { "Reviews of new products" },;
                    { "Selected features" },;
                    { "Tips from database experts" },;
                    { "Tips from professional developers" },;
                    { "Database fundamentals" },;
                    { "Regular features" };
              }
local nRow, nRight, nCurrent, aScn
local bMoveBegin := {|e| ADrestscn( aScn )}
local bMoveEnd := {|e| nRow := ADvm_row(e),;
                       nRight := ADvm_right( e ),;
                       nCurrent := ADvm_current( e ),;
                       aScn := ADmessage( aMsg[nCurrent],;
                                          nRow, nRight+2, .f., .f. );
                  }
local bEscape := {|e| ADrestscn( aScn ), ADvm_exit(e)}
local bProcess := {|e,n| ADmessage( {"You selected: " + aMenu[n]} )}
local bConfig := {|e| ADvm_escape( e, bEscape ),;
                      ADvm_move( e, bMoveBegin, bMoveEnd )}

ADvermenu( nTop, nLeft, aMenu, aTrigger, bProcess, bConfig )
return nil



