/*
    VM_DEMO6.PRG

    This program demonstrates how to configure ADvermenu() to behave as
    a taglist. 
*/


//---------
func main()
local nTop := 0, nLeft := 0
local aMenu := {;
                    "On the Cover",;
                    "News",;
                    "Test Drives",;
                    "Features",;
                    "The Experts",;
                    "Application Development",;
                    "The Basics",;
                    "Departments";
               }
local aTrigger := { 8,1,1,1,5,1,5,1 }
local bProcess := {|e,a| aeval( a, {|x| ADmessage( { aMenu[x] } )} )}
local bConfig := {|e| ADvm_taglist( e ) }

Xinfo()
ADvermenu( nTop, nLeft, aMenu, aTrigger, bProcess, bConfig )
return nil

//----------
func Xinfo()
ADmessage( {;
                "This ADvermenu is a taglist.  Press the Spacebar or",;
                "click an option with the left button to tag/untag it.",;
                "Press the Enter key or click the left button outside",;
                "the box to select all tagged options.  The return",;
                "value is an array of selected options.";
           }, 14,, .f. )
return nil



