/*
    VM_DEMO8.PRG

    This program demonstrates how to define hot keys in ADvermenu().
*/

#include "inkey.ch"

//---------
func main()
local nTop := 0, nLeft := 0
local aMenu := {;
                    "On the Cover",;
                    "News",;
                    "Test Drives",;
                    "Features",;
                    "The Experts",;
                    "Application Development",;
                    "The Basics",;
                    "Departments";
               }
local aTrigger := { 8,1,1,1,5,1,5,1 }
local bProcess := {|e,n| ADmessage( { aMenu[n] } )}
local bConfig := {|e| ADvm_keys( e, { K_F9, K_F10 }, {|e,n,k| Xkeys(n,k)} )}

Xinfo()
ADvermenu( nTop, nLeft, aMenu, aTrigger, bProcess, bConfig )
return nil


//---------------------
func Xkeys( nth, nKey )

if nth = 1      // or nKey = K_F9
    ADmessage( { "Pressed F9" } )
elseif nth = 2  // or nKey = K_F10
    ADmessage( { "Pressed F10" } )
endif
return nil


//----------
func Xinfo()
ADmessage( {;
                "In this ADvermenu, F9 and F10 have been defined as",;
                "hot keys.";
           }, 14,0, .f. )
return nil
