/*
    VM_DEMO9.PRG

    This program demonstrates how to define hot keys in ADvermenu().
*/

#include "inkey.ch"
#define SCN_TOP     {0,0,0,79}
#define SCN_BOTTOM  {24,0,24,79}

//---------
func main()
local nTop := 0, nLeft := 0
local aMenu := {;
                    "On the Cover",;
                    "News",;
                    "Test Drives",;
                    "Features",;
                    "The Experts",;
                    "Application Development",;
                    "The Basics",;
                    "Departments";
               }
local aTrigger := { 8,1,1,1,5,1,5,1 }
local bProcess := {|e,n| ADmessage( { aMenu[n] } )}
local bConfig :=  {|e| ADvm_lbuttons( e, { SCN_TOP, SCN_BOTTOM },;
                                         {|e,n,r,c| Xlbuttons(n)} )}

Xinfo()
ADvermenu( nTop, nLeft, aMenu, aTrigger, bProcess, bConfig )
return nil


//-------------------
func Xlbuttons( nth )

if nth = 1
    ADmessage( { "Clicked the top of the screen" } )
elseif nth = 2
    ADmessage( { "Clicked the bottom of the screen" } )
endif
return nil


//----------
func Xinfo()
ADmessage( {;
                "In this ADvermenu, the top and the bottom of the",;
                "screen have been defined as left button hot spots.";
           }, 14,0, .f. )
return nil

